#ifndef _SPI
#define _SPI

#define SPI_MISO PB6		//DataOut of MMC 
#define SPI_MOSI PB5		//DataIn of  MMC
#define SPI_CLK PB7			//Clock of MMC
#define DDR_SPI DDRB		// Datenrichtung von SPI

void spi_error(uint8_t);
void spi_select_measuring_chip(void);
void spi_unselect(void);
void spi_select_sdcard(void);
void spi_init(void);
void spi_send(uint8_t);
void usart_send_32bit(uint32_t);
uint8_t spi_get(void);
uint8_t spi_transmit(uint8_t);
void spi_measuring_chip_synchronize(void);
void spi_measuring_chip_select_page(uint8_t); 
void spi_send_start_conversions(void);
void spi_send_sync0(void);
void spi_send_sync1(void);
void spi_send_power_up(void);
void spi_send_software_reset(void);
void spi_write_register(uint8_t, uint32_t);
uint32_t spi_read_register(uint8_t);
void spi_get_measured(uint8_t *measured_length, uint32_t *measurement_mask_low, uint32_t *measurement_mask_high, uint32_t *measured);
#endif
