#ifndef __SSC_H
#define __SSC_H

#define MMC_Write			PORTB		//Port an der die MMC/SD-Karte angeschlossen ist also des SPI 
#define MMC_Read			PINB
#define MMC_Direction_REG	DDRB	


#if defined (__AVR_ATmega128__)
	#define SPI_DI				3		//Port Pin an dem Data Output der MMC/SD-Karte angeschlossen ist 
	#define SPI_DO				2		//Port Pin an dem Data Input der MMC/SD-Karte angeschlossen ist
	#define SPI_Clock			1		//Port Pin an dem die Clock der MMC/SD-Karte angeschlossen ist (clk)
	#define MMC_Chip_Select		4		//Port Pin an dem Chip Select der MMC/SD-Karte angeschlossen ist
	#define SPI_SS				0		//Nicht Benutz mu aber definiert werden
#endif


#if defined (__AVR_ATmega32__)
	#define SPI_DI				6		//Port Pin an dem Data Output der MMC/SD-Karte angeschlossen ist 
	#define SPI_DO				5		//Port Pin an dem Data Input der MMC/SD-Karte angeschlossen ist
	#define SPI_Clock			7		//Port Pin an dem die Clock der MMC/SD-Karte angeschlossen ist (clk)
	#define MMC_Chip_Select		3		//Port Pin an dem Chip Select der MMC/SD-Karte angeschlossen ist
	#define SPI_SS				4		//Nicht Benutz mu aber definiert werden
#endif


#if defined (__AVR_ATmega644__)
	#define SPI_DI				6		//Port Pin an dem Data Output der MMC/SD-Karte angeschlossen ist 
	#define SPI_DO				5		//Port Pin an dem Data Input der MMC/SD-Karte angeschlossen ist
	#define SPI_Clock			7		//Port Pin an dem die Clock der MMC/SD-Karte angeschlossen ist (clk)
	#define MMC_Chip_Select		4		//Port Pin an dem Chip Select der MMC/SD-Karte angeschlossen ist
	#define SPI_SS				3		//Nicht Benutz mu aber definiert werden
	
/*
	#define SPCR  SPCR0
	#define SPE   SPE0
	#define MSTR  MSTR0
	#define SPSR  SPSR0
	#define SPDR  SPDR0
	#define SPIF  SPIF0
	#define SPR0  SPR00
	#define SPR1  SPR01
	#define SPI2X SPI2X0	
	#define CPOL  CPOL0
	*/
#endif


//________________________________________________________________________________________________________________________________________
// 
// Functions needed for accessing the sdcard.
//				
//________________________________________________________________________________________________________________________________________

extern void 			SSC_Init(void);
extern unsigned char 	SSC_GetChar (void);
extern void 			SSC_PutChar (unsigned char);
extern void 			SSC_Enable(void);
extern void 			SSC_Disable(void);


#endif
